import type { NobjcObject } from "objc-js";
import type { _NSCoding } from "../Foundation/NSCoding.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _NSNibConnector extends _NSObject {
    static alloc(): _NSNibConnector;
    static new(): _NSNibConnector;
    init(): _NSNibConnector;
    replaceObject$withObject$(oldObject: NobjcObject, newObject: NobjcObject): void;
    establishConnection(): void;
    source(): NobjcObject | null;
    setSource$(value: NobjcObject | null): void;
    destination(): NobjcObject | null;
    setDestination$(value: NobjcObject | null): void;
    label(): _NSString;
    setLabel$(value: _NSString): void;
}
export interface _NSNibConnector extends _NSCoding {
}
